#ifndef XDMATERIAL_H
#define XDMATERIAL_H

#include "xasset.h"
#include <QString>

class XDMaterial : public XAsset
{
public:
    explicit XDMaterial();
    ~XDMaterial();

    void ParseData(XDataStream *aStream) override;

    const QString& GetMaterial() const;
    void SetMaterial(const QString& material);

    int GetSurfaceFlags() const;
    void SetSurfaceFlags(int flags);

    int GetContentFlags() const;
    void SetContentFlags(int flags);

private:
    QString mMaterial = "";
    int mSurfaceFlags = 0;
    int mContentFlags = 0;
};

#endif // XDMATERIAL_H





